ru.bitel.bgbilling.modules.sorm.server.bean

## Class SormCSVWriter

- java.lang.Object
- - au.com.bytecode.opencsv.CSVWriter
  - - ru.bitel.bgbilling.modules.sorm.server.bean.SormCSVWriter

- All Implemented Interfaces:
    java.io.Closeable, java.io.Flushable, java.lang.AutoCloseable

      public class SormCSVWriter
      extends au.com.bytecode.opencsv.CSVWriter

  Реализация только для сорма. Содержит в себе счётчик записанных строк в файл, если кол-во записанных строк становится равным заданному лимиту, то вызывается flush() и счётчик сбрасывается

- - ### Field Summary

    - ### Fields inherited from class au.com.bytecode.opencsv.CSVWriter

      `DEFAULT_ESCAPE_CHARACTER, DEFAULT_LINE_END, DEFAULT_QUOTE_CHARACTER, DEFAULT_SEPARATOR, INITIAL_STRING_SIZE, NO_ESCAPE_CHARACTER, NO_QUOTE_CHARACTER`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SormCSVWriter(java.io.Writer writer, char separator, char quotechar)`
    `SormCSVWriter(java.io.Writer writer, char separator, char quotechar, int chunkSize)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `writeNext(java.lang.String[] nextLine)`

    - ### Methods inherited from class au.com.bytecode.opencsv.CSVWriter

      `checkError, close, flush, flushQuietly, processLine, setResultService, writeAll, writeAll, writeAll, writeAll, writeColumnNames, writeNext`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SormCSVWriter

          public SormCSVWriter(java.io.Writer writer,
                               char separator,
                               char quotechar,
                               int chunkSize)

    - #### SormCSVWriter

          public SormCSVWriter(java.io.Writer writer,
                               char separator,
                               char quotechar)

  - ### Method Detail

    - #### writeNext

          public void writeNext(java.lang.String[] nextLine)

      Overrides:
        `writeNext` in class `au.com.bytecode.opencsv.CSVWriter`